/*
File selection screen for DS libfat

Copyright 2007 Damian Yerrick <pinoandchester@pineight.com>

This work is provided 'as-is', without any express or implied
warranty.  In no event will the authors be held liable for any
damages arising from the use of this work.

Permission is granted to anyone to use this work for any purpose,
including commercial applications, and to alter it and redistribute
it freely, subject to the following restrictions:

1. The origin of this work must not be misrepresented; you must
   not claim that you wrote the original work. If you use
   this work in a product, an acknowledgment in the product
   documentation would be appreciated but is not required.
2. Altered source versions must be plainly marked as such, and must
   not be misrepresented as being the original work.
3. This notice may not be removed or altered from any source
   distribution.

"Source" is the preferred form of a work for making changes to it.

*/

#ifndef FILESEL_H
#define FILESEL_H
/**
 * Displays a list of files and folders in the current directory
 * on the memory card and allows the user to select one.
 * If selected, changes the current directory to
 * the folder containing the file.
 * @param outName a buffer to hold the name of the file, sized
 * NAME_MAX + 1; replaced if a file is selected
 * @return 0 for selected, or <0 for canceled
 */
int filesel(char *outName);

#endif