/*
Test harnesses for some functions in RAC.

By Damian Yerrick. No rights reserved and ABSOLUTELY NO WARRANTY.
*/

void acstrParade(void) {
  for (int outer = 0; outer < 256; outer += 64) {
    fontdraw_cls(0);
    for (int y = 0; y < 16; ++y) {
      for (int x = 0; x < 4; ++x) {
        int ch = x + y * 4 + outer;
        char dst[64] = {0};
        char src[2] = {ch, 0};
        siprintf(dst, "$%02x=", ch);
        acstrDecode(dst + 4, src, 1);
        fontdraw_demo_putline(x * 64, y * 12, dst);
      }
    }
    
    for (int y = 0; y < 256; ++y) {
      vsync();
    }
  }
}

void visualizeData(void) {
  u32 *dst = (u32 *)BG_TILE_RAM(0);
  
  for (int h = 0; h < 262144; h += 8192) {
    for (int i = h; i < h + 8192; i += 64) {
      unsigned long long int cksum = 12345;
      for (int j = i; j < i + 64; ++j) {
        cksum = cksum * 1103515245 + acwwData[j];
      }
      *dst++ = (cksum >> 32) & 0x33333333;
    }
    dst += 64;
  }
}

void test_makeValidFATName(void) {
  char test1[] = "!\"#$%&'()*+,-./0123456789:;<=>?";
  char test2[] = "@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_";
  char test3[] = "`abcdefghijklmnopqrstuvwxyz{|}~";
  
  makeValidFATName(test1);
  makeValidFATName(test2);
  makeValidFATName(test3);
  fontdraw_demo_putline(0, 0, test1);
  fontdraw_demo_putline(0, 12, test2);
  fontdraw_demo_putline(0, 24, test3);
}
